package com.cqut.stack.bn.pojo.entity.sysPageConfigure;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 页面配置表
 * </p>
 *
 * @author 宇
 * @since 2024-11-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_page_configure")
@ApiModel(value="SysPageConfigure对象", description="页面配置表")
public class SysPageConfigure implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "配置id.")
      @TableId("configure_id")
    private String configureId;

    @ApiModelProperty(value = "所属系统.")
    @TableField("system_type")
    private Integer systemType;

    @ApiModelProperty(value = "所属模块.")
    @TableField("module_type")
    private Integer moduleType;

    @ApiModelProperty(value = "页面中是否显示.")
    @TableField("is_display")
    private Integer isDisplay;

    @ApiModelProperty(value = "数据显示形式.")
    @TableField("data_show_type")
    private Integer dataShowType;

    @ApiModelProperty(value = "是否支持切换.")
    @TableField("is_switch")
    private Integer isSwitch;

    @ApiModelProperty(value = "支持切换类别.")
    @TableField("switch_type")
    private String switchType;

    @ApiModelProperty(value = "切换时间间隔.")
    @TableField("switch_interval")
    private Integer switchInterval;

    @ApiModelProperty(value = "上一次搜索状态：0-代表本日，1代表月，2代表本季度，3代表本年")
    @TableField("search_status")
    private Integer searchStatus;

    @ApiModelProperty(value = "创建时间.")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "更新时间.")
    @TableField("update_time")
    private Date updateTime;


}
