package com.cqut.stack.bn.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.cqut.stack.bn.pojo.dto.hotlineDailyAcceptance.DateDTO;
import com.cqut.stack.bn.pojo.dto.workOrder.GetWorkOrderDetailDTO;
import com.cqut.stack.bn.pojo.entity.WordOrderDetail;
import com.cqut.stack.bn.dao.WordOrderDetailMapper;
import com.cqut.stack.bn.service.WordOrderDetailService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.github.pagehelper.PageHelper;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class WordOrderDetailServiceImpl extends ServiceImpl<WordOrderDetailMapper, WordOrderDetail> implements WordOrderDetailService {

    @Override
    public WordOrderDetail getWorkOrderDetail(GetWorkOrderDetailDTO dto) {
        return this.getById(dto.getId());
    }

    @Override
    public List<WordOrderDetail> getWordOrderDetail(DateDTO dateDTO) {
        LambdaQueryWrapper<WordOrderDetail> queryWrapper = new LambdaQueryWrapper<>();
        if(dateDTO.getStartDate()!=null)
            queryWrapper.ge(WordOrderDetail::getAcceptDate,dateDTO.getStartDate());
        if(dateDTO.getEndDate()!=null)
            queryWrapper.le(WordOrderDetail::getAcceptDate,dateDTO.getEndDate());
        PageHelper.startPage(dateDTO.getPageNum(), dateDTO.getPageSize());
        return this.list(queryWrapper);
    }
}
