package com.cqut.stack.bn.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.cqut.stack.bn.pojo.dto.hotlineDailyAcceptance.DateDTO;
import com.cqut.stack.bn.pojo.dto.workOrderCirculation.GetWorkOrderCirculationDTO;
import com.cqut.stack.bn.pojo.entity.WorkOrderCirculation;
import com.cqut.stack.bn.dao.WorkOrderCirculationMapper;
import com.cqut.stack.bn.service.WorkOrderCirculationService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.github.pagehelper.PageHelper;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Objects;

@Service
public class WorkOrderCirculationServiceImpl extends ServiceImpl<WorkOrderCirculationMapper, WorkOrderCirculation> implements WorkOrderCirculationService {

    @Override
    public WorkOrderCirculation getWorkOrderCirculation(GetWorkOrderCirculationDTO dto) {
        return this.getById(dto.getId());
    }

    @Override
    public List<WorkOrderCirculation> getWorkOrderCirculationList(DateDTO dateDTO) {
        LambdaQueryWrapper<WorkOrderCirculation> queryWrapper = new LambdaQueryWrapper<>();
            queryWrapper.ge(Objects.nonNull(dateDTO.getStartDate()),WorkOrderCirculation::getProcessTime,dateDTO.getStartDate())
                    .le(Objects.nonNull(dateDTO.getEndDate()),WorkOrderCirculation::getProcessTime,dateDTO.getEndDate());
        PageHelper.startPage(dateDTO.getPageNum(),dateDTO.getPageSize());
        return this.list(queryWrapper);
    }
}
